
var NewsData;

var imageIndex=0;

var version = 0;

var count = 0;

function setBottomData(jsonobj){
    //延伸阅读 dzwsd24h:\/\/watchNews?m=news&id=3869424
    var yanshen = jsonobj.variable.relation;
    if(yanshen && yanshen.length != 0){
        var len = yanshen.length;
        var yStr = "";
        for(var i=0; i<len; i++){
            yStr += "<li><i></i><a href='dzwsd24h://watchNews?m="+yanshen[i].func+"&id="+yanshen[i].id+"'>"+yanshen[i].title+"</a></li>";
        }
        $("#yanshen").show().find("ul").html(yStr);
    }else{
        $("#yanshen").hide();
    }

    //编辑
    var editor = jsonobj.variable.admin_realname;
    if(editor){
        $("#editor").show();
        $("#editor").html(editor);
    }else{
        $("#editor").hide();
    }


     //专题
    var zt = jsonobj.variable.zt;
    if(zt){
        $("#linkZt").show();
        $("#linkZtTitle").html(zt.title);
        $("#linkZtInfo").html("专题 | "+unitConvert(zt.hits)+"阅读");
        $("#linkZtImg").attr("src",zt.thumb);
    }else{
        $("#linkZt").hide();
    }
}
function strNumSize(tempNum) {
        var stringNum = tempNum.toString();
        var index = stringNum.indexOf(".");
        var newNum = stringNum;
        if(index != -1) {
            newNum = stringNum.substring(0, index)
        };
        return newNum.length;
}
function unitConvert(num) {
    var moneyUnits = ["", "万", "亿", "万亿"];
    var dividend = 10000;
    var curentNum = parseInt(num);
    //转换数字
    var curentUnit = moneyUnits[0];
    //转换单位
    for(var i = 0; i < 4; i++) {
        curentUnit = moneyUnits[i];
        if(strNumSize(curentNum) < 5) {
            break;
        };
        curentNum = curentNum / dividend;
    };
    var m = {
        num: 0,
        unit: ""
    };

    return curentNum.toFixed(0)+curentUnit;
}
/**** 加载 ****/
function loadInfo(jsonobj,fontsize){
	//打印，可注释
	NewsData = jsonobj;
    imageIndex=0;
    var newVersion = NewsData.variable.version;

    count++;
    console.log("NewsContentFragmentV4 loadInfo "+count);


    if(newVersion <= version){
        console.log("NewsContentFragmentV4 版本一致"+version);
        setBottomData(jsonobj);
        setTimeout(function(){
        		dsBridge.call("rendFinish");
            }, 1000);
        return;
    }
    version = newVersion;
	console.log("NewsContentFragmentV4 版本不一致 设置字体"+version);
	//整体设置字体
	setFontSize(fontsize);
    console.log("NewsContentFragmentV4 设置新闻内容");
	//新闻内容
	var content = jsonobj.variable.html;
	console.log("NewsContentFragmentV4 设置新闻内容 原始");
	try {
        if(jsonobj.variable.imgs){
            var imagesArr = jsonobj.variable.imgs; //新闻内容的图片数组
            if(imagesArr.length > 0) {
                var len = imagesArr.length;
                var iStr = "";
                for(var i=0; i<len; i++){
                    iStr = "<!--DZIMG#"+i+"-->";
                    var iUrl = imagesArr[i].url;
                    var summary = imagesArr[i].alt; //href='javascript:clickimg("+i+")'
                    content = content.replace(iStr, "<div class='media-c'><a ><img onclick='clickimg("+i+")' src='image/default.png' onload=\"loadImg(this, '"+iUrl+"')\"/></a><div class='summary'>"+summary+"</div></div>");
                }
            }
        }
    	if(jsonobj.variable.videos){
    		var videosArr = jsonobj.variable.videos; //新闻内容的视频数组
    		if(videosArr.length > 0) {
    			var len = videosArr.length;
    			var vStr = "";
    			for(var i=0; i<len; i++){
    				vStr = "<!--DZVIDEO#"+i+"-->";
    				var vUrl = videosArr[i].file;
    				var iUrl = videosArr[i].img;
    				var rate = 1.77;
    				console.log("#videosArr width_height_rate==="+videosArr[i].width_height_rate);
    				if(videosArr[i].width_height_rate!=0){
    				    rate = videosArr[i].width_height_rate;
    				}
    				var width_height_rate = 1/rate * 92-2;
    				var video_desc = videosArr[i].video_desc;
    				var video_showcp = videosArr[i].video_showcp;
    				console.log("#width_height_rate==="+width_height_rate);
    				console.log("#video_showcp==="+video_showcp);
    				content = content.replace(vStr, "<div><div class='media-c video-c'  style='height:"+width_height_rate+"vw' id='video"+i+"'><img src='image/defaultVideo.jpg' onload=\"addVideo(this, '"+i+"')\"/></div><div class='video-desc'>"+video_desc+"</div><div class='video-cp'>"+video_showcp+"</div></div>"); //这里可以替换为视频地址
    			}
    		}
    	}
    	if(jsonobj.variable.audios){
        		var audiosArr = jsonobj.variable.audios; //新闻内容的视频数组
        		if(audiosArr.length > 0) {
        			var len = audiosArr.length;
        			var vStr = "";
        			for(var i=0; i<len; i++){
        				vStr = "<!--DZAUDIO#"+i+"-->";
        				var iUrl = audiosArr[i].img;
        				var hidePlay =  audiosArr[i].hide_play;
        				if(hidePlay == '1'){
                             content = content.replace(vStr, "<div class='media-c'><a ><img onclick='clickimgAudio("+i+")' src='image/default.png' onload=\"loadImg(this, '"+iUrl+"')\"/></a></div>");
        				}else{
        				     content = content.replace(vStr, "<div class='media-c' id='audio"+i+"'><img src='image/audio.jpg' onload=\"addAudio(this, '"+i+"')\"/></div>"); //这里可以替换为视频地址
        				}

        			}
        		}
        }
	}catch(e){
	    	console.log("$().html(content) error==="+e);
	}
    if(jsonobj.variable.newsline){
        var tpl = dsBridge.call("newsLineTpl");
    	content = content.replace("<!--NEWSLINE-->", tpl);
    }

//	if(jsonobj.variable.use_default_css){
//		  $("#news_content_wx").html(content);
//		  $("#main_page").hide();
//		  $("#main_page_wx").show();
//		  console.log("#news_content_wx  微信内容");
//	}else{
//	     $("#news_content").html(content);
//	     $("#main_page_wx").hide();
//         $("#main_page").show();
//	     console.log("#news_content 正常内容");
//	}
    console.log("#news_content==="+content);
    if(jsonobj.variable.video_topshow != "1"){
        $("#news_content").show();
        $("#news_content").html(content);
    }else{
        $("#news_content").hide();
    }

	console.log("NewsContentFragmentV4 $().html(content)");
	setBottomData(jsonobj);
	console.log("NewsContentFragmentV4 设置结束");
	setTimeout(function(){
		dsBridge.call("rendFinish");
    }, 1000);


}

//点击新闻内容里的播放视频按钮
function playvideo(obj){
	alert("你刚刚点击了视频播放按钮");
}
function goZt(){
	dsBridge.call("goZt");
}
//点击新闻内容里的图片
function clickimg(index){
	dsBridge.call("clickimg",index);
}
function clickimgAudio(index){
	dsBridge.call("clickimgAudio",index);
}
function clickNewsLine(title,func,funcstr){
	dsBridge.call("clickimg",index);
}
function newsLineViewMore(){
    dsBridge.call("newsLineViewMore");
}
//加载图片
function loadImg(obj, osrc){
    if(obj.src.indexOf("image/default.png") > 0||obj.src.indexOf("image/defaultVideo.jpg") > 0){
			dsBridge.call("downLoadPic",osrc, function (v) {
                        obj.src = v;
            })
	}
}
//加载视频
function addVideo(obj,index){
        var obj = $("#video"+index);
        var data = {};
        data.index = index;
        data.left = obj.offset().left;
        data.top = obj.offset().top;
        data.width = obj.width();
        data.height = obj.height();
        data.play = "0";
        dsBridge.call("addVideoNative",data);
        obj.css("height",data.height);
//        obj.children("img").css("display","none");   //重新布局
}

//加载音频
function addAudio(obj,index){
        var obj = $("#audio"+index);
        var data = {};
        data.index = index;
        data.left = obj.offset().left;
        data.top = obj.offset().top;
        data.width = obj.width();
        data.height = obj.height();
        data.play = "0";
        dsBridge.call("addAudioNative",data);
        obj.css("height",data.height);
        obj.children("img").css("display","none");
}


function layoutVideo(){
    if (NewsData&&typeof(NewsData.variable.videos) != "undefined"  && NewsData.variable.videos.length != 0) {
    		var videosArr = NewsData.variable.videos; //新闻内容的视频数组
            if(videosArr.length > 0) {
                var len = videosArr.length;
                var vStr = "";
                for(var i=0; i<len; i++){
                    console.log("layoutVideo====="+i);
                    var obj = $("#video"+i);
                    var data = {};
                    data.index = i;
                    data.left = obj.offset().left;
                    data.top = obj.offset().top;
                    data.width = obj.width();
                    data.height = obj.height();
                    data.play = "0";
                    dsBridge.call("addVideoNative",data);
                    obj.css("height",data.height);
                    if(obj){
                        var data = {};
                        data.index = i;
                        data.left = obj.offset().left;
                        data.top = obj.offset().top;
                        data.width = obj.width();
                        data.height = obj.height();
                        data.play = "0";
                        dsBridge.call("addVideoNative",data);
                        console.log("addVideoNative==xx==="+i);

                    }
                    console.log("layoutVideo==xx==="+i);

                }
    	    }
    	}

}

function layoutAudio(){
    if (NewsData&&typeof(NewsData.variable.audios) != "undefined"  && NewsData.variable.audios.length != 0) {
    		var audiosArr = NewsData.variable.audios;
            if(audiosArr.length > 0) {
                var len = audiosArr.length;
                var vStr = "";
                for(var i=0; i<len; i++){
                    console.log("layoutAudio====="+i);
                    var obj = $("#audio"+i);
                    console.log("layoutAudio====="+obj);
                    if(obj&&obj.offset()){
                        var data = {};
                        data.index = i;
                        data.left = obj.offset().left;
                        data.top = obj.offset().top;
                        data.width = obj.width();
                        data.height = obj.height();
                        data.play = "0";
                        dsBridge.call("addAudioNative",data);
                        console.log("addAudioNative==xx==="+i);
                    }
                    console.log("layoutAudio===ww=="+i);
                }
    	    }
    	}
}
function setFontSize(size){
    $("#main_page").attr("class","container fontSize"+size);
}
dsBridge.register('loadInfo', function (data,fontsize) {
        var jsonobj = JSON.parse(data);
        loadInfo(jsonobj,fontsize);
})
dsBridge.register('changeFontSize', function (fontsize) {
        setFontSize(fontsize);
})
dsBridge.register('reset', function () {
        	$("#news_content").html("");
        	$("#editor").html("");
        	$("#yanshen").show().find("ul").html("");
})
window.onresize = function(){
    console.log("onresize=====");
    layoutAudio();
    layoutVideo();
}

dsBridge.call("fragment.getNewsData");